
%define major_gck	0
%define api_gck         1

%define major_gcr	1
%define api_gcr		3

%define libname		%mklibname gcr %{api_gcr} %{major_gcr}
%define libnamebase	%mklibname gcr-base %{api_gcr} %{major_gcr}
%define libnameui	%mklibname gcr-ui %{api_gcr} %{major_gcr}
%define libnamegck	%mklibname gck %{api_gck} %{major_gck}
%define girname		%mklibname gcr-gir %{major_gcr}
%define girnamegck	%mklibname gck-gir %{major_gck}
%define girnameui	%mklibname gcr-ui-gir %{major_gcr}
%define libnamedev	%mklibname -d gcr 

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	A library for bits of crypto UI and parsing
Name:		gcr
Version:	3.18.0
Release:	%mkrel 2
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch1:		gcr-3.16.0-fix-g-ir-build.patch
URL:		http://www.gnome.org/
License:	GPLv2+ and LGPLv2+
Group:		Networking/Remote access
#-----------------------------------------
BuildRequires: intltool
BuildRequires: libtasn1-tools
BuildRequires: p11-kit-devel
BuildRequires: vala-tools
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}gcrypt-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}girepository-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gpg-error-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: gtk-doc
BuildRequires: vala-devel
#-----------------------------------------

%description
A library for bits of crypto UI and parsing etc.

This package also contains the gcr-viewer binary.

%package -n %{libname}
Group:		System/Libraries
Summary:	Library for integration with the gnome keyring system
Requires:	%{name} = %{version}-%{release}

%description -n %{libname}
This package contains shared libraries for Gnome keyring.

%package -n %{libnamedev}
Group:		Development/Libraries
Summary:	Development files and headers for %{name}
Requires:	%{libname} = %{version}-%{release}
Provides:	libgcr-devel = %{version}-%{release}
Obsoletes:	gnome-keyring-devel < %version
Provides:	gnome-keyring-devel = %version-%release

%description -n %{libnamedev}
Thi package contains the development files and headers for %{name}.


%prep
%setup -q

%build
NOCONFIGURE=yes gnome-autogen.sh
%configure2_5x \
	--disable-static \
	--disable-update-mime \
	--disable-schemas-compile \
	--enable-introspection=yes
%make

%install
rm -rf %{buildroot}
%makeinstall_std

#we don't want these
find %{buildroot} -name "*.la" -exec rm -rf {} \;

%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README NEWS
%{_bindir}/gcr-viewer
%{_libexecdir}/gcr-prompter
%{_datadir}/%{name}-%{api_gcr}/
%{_datadir}/dbus-1/services/org.gnome.keyring.PrivatePrompter.service
%{_datadir}/dbus-1/services/org.gnome.keyring.SystemPrompter.service
%{_datadir}/GConf/gsettings/org.gnome.crypto.pgp*.convert
%{_datadir}/glib-2.0/schemas/org.gnome.crypto.pgp*.xml
%{_datadir}/applications/gcr-viewer.desktop
%{_datadir}/applications/gcr-prompter.desktop
%{_datadir}/mime/packages/gcr-crypto-types.xml
%{_datadir}/icons/hicolor/*/apps/gcr*.png

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libgck-%{api_gck}.so.%{major_gck}*
%{_libdir}/girepository-1.0/Gck-%{api_gck}.typelib
%{_libdir}/libgcr-base-%{api_gcr}.so.%{major_gcr}*
%{_libdir}/libgcr-ui-%{api_gcr}.so.%{major_gcr}*
%{_libdir}/libgcr-%{api_gcr}.so.%{major_gcr}*
%{_libdir}/libgcr-ui-%{api_gcr}.so.%{major_gcr}*
%{_libdir}/girepository-1.0/Gcr-%{api_gcr}.typelib
%{_libdir}/girepository-1.0/GcrUi-%{api_gcr}.typelib

%files -n %{libnamedev}
%defattr(-,root,root)
%doc %{_datadir}/gtk-doc/html/*
%{_libdir}/libgck-%{api_gck}.so
%{_libdir}/libgcr-%{api_gcr}.so
%{_libdir}/libgcr-ui-%{api_gcr}.so
%{_libdir}/libgcr-base-%{api_gcr}.so
%{_includedir}/gck-%{api_gck}
%{_includedir}/gcr-%{api_gcr}
%{_libdir}/pkgconfig/gck-%{api_gck}.pc
%{_libdir}/pkgconfig/gcr-%{api_gcr}.pc
%{_libdir}/pkgconfig/gcr-base-%{api_gcr}.pc
%{_libdir}/pkgconfig/gcr-ui-%{api_gcr}.pc
%{_datadir}/gir-1.0/Gck-%{api_gck}.gir
%{_datadir}/gir-1.0/Gcr-%{api_gcr}.gir
%{_datadir}/gir-1.0/GcrUi-%{api_gcr}.gir
%{_datadir}/vala/vapi/gck-%{api_gck}.*
%{_datadir}/vala/vapi/gcr-%{api_gcr}.*
%{_datadir}/vala/vapi/gcr-ui-%{api_gcr}.*
%{_datadir}/vala/vapi/pkcs11.vapi

%clean
rm -rf %{buildroot}

%changelog
* Sun Apr 30 2017 ghostbunny <ghostbunny at gmx dot de> 3.18.0-2pclos2017
- rebuild against new libgcrypt
- add missing BR gtk-doc, vala-devel

* Fri Oct 02 2015 bb <bb> 3.18.0-1pclos2015
- update

* Mon Jan 13 2014 bb <bb> 3.10.1-1pclos2014
- import since it was split from gnome keyring
